# Interface methods for submodule: AdaptiveHistogramEqualizationImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MovingHistogramImageFilterProxy as _MovingHistogramImageFilterProxy


# Interface methods for class: AdaptiveHistogramEqualizationImageFilter
class AdaptiveHistogramEqualizationImageFilterProxy(_MovingHistogramImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAlpha(self, _arg: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetBeta(self, _arg: float) -> None:
		""""""
		...

	def GetBeta(self) -> float:
		""""""
		...

	def SetUseLookupTable(self, _arg: bool) -> None:
		""""""
		...

	def GetUseLookupTable(self) -> bool:
		""""""
		...

	def UseLookupTableOn(self) -> None:
		""""""
		...

	def UseLookupTableOff(self) -> None:
		""""""
		...

	def ConfigureHistogram(self, h) -> None:
		""""""
		...

